RKSTOREYOMI(3)

NAME
RkStoreYomi - change the reading of the current clause, reconverting the subsequent clauses

SYNOPSIS
#include <canna/RK.h>
int RkStoreYomi(cxnum, yomi, maxyomi)
int cxnum;
unsigned char *yomi;
int maxyomi;

DESCRIPTION
RkStoreYomi changes the reading of the current clause to a specified reading, reconverting the subsequent clauses. It changes the reading yomi with a length of maxyomi bytes. The value of maxyomi must be adjusted to character boundaries in the EUC code.

RETURN VALUE
This function returns the number of clauses after the change.